﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;

namespace XamGrid
{
    public partial class MainPage : UserControl
    {
        public List<Libelle> listLibelle { get; set; }

        public List<string> listCote { get; set; }

        public MainPage()
        {
            this.listLibelle = new List<Libelle> { new Libelle("1", "Parla"), new Libelle("2", "Parci") };

            this.listCote = new List<string> { "droite", "gauche" };

            InitializeComponent();

            var listPerson = new List<Adresse> { new Adresse(listLibelle[0], listCote[0]), new Adresse(listLibelle[1], listCote[1]) };

            this.xamGrid.ItemsSource = listPerson;
            
        }

        private void xamGrid_Loaded_1(object sender, RoutedEventArgs e)
        {
            //(this.xamGrid.Columns["Libelle"] as ComboBoxColumn).ItemsSource = listLibelle;
            (this.xamGrid.Columns["Cote"] as ComboBoxColumn).ItemsSource = listCote;
        }
    }

    public class Adresse
    {
        public String Cote { get; set; }
        public Libelle Libelle { get; set; }

        public Adresse(Libelle lib,string cote)
        {
            this.Libelle = lib;
            this.Cote = cote;
        }

        public Adresse(){}
    }

    public class Libelle
    {
        public string Numero { get; set; }
        public string Rue { get; set; }

        public Libelle(string numero, string rue)
        {
            this.Numero = numero;
            this.Rue = rue;
        }

        public Libelle(){}
    }

    //public class Cote
    //{
    //    public string Libelle { get; set; }

    //    public Cote(string libelle)
    //    {
    //        this.Libelle = libelle;
    //    }

    //    public Cote(){}
    //}
}
